petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCShellSetApplyTranspose

Sets routine to use as preconditioner transpose.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetApplyTranspose(PC pc,PetscErrorCode (*applytranspose)(PC,Vec,Vec))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| apply | - the application-provided preconditioning transpose routine

### Calling sequence of apply

       PetscErrorCode applytranspose (PC pc,Vec xin,Vec xout)

| pc | - the preconditioner, get the application context with PCShellGetContext()
| xin | - input vector
| xout | - output vector

Notes: the function MUST return an error code of 0 on success and nonzero on failure.

### Notes

Uses the same context variable as PCShellSetApply().

### Keywords

PC, shell, set, apply, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetSetUp(), PCShellSetApply(), PCSetContext(), PCShellSetApplyBA()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html